const update = require('update-json-file')
const fs = require('fs')

module.exports = class {
  constructor (path, asyncDef = true) {
    this.path = path
    this.asyncDef = asyncDef
  }
  read () {
    if (asyncDef) {
      return this.readA()
    }
    return this.readS()
  }
  readA () {
    fs.readFile(this.path, (err, data) => {
      if (err) throw err
      return JSON.parse(data)
    })
  }
  readS () {
    return JSON.parse(fs.readFileSync(this.path))
  }
  update (fn, opts) {
    update(this.path, fn, opts)
  }
}
